<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Good Plugins 1.0 Plugins Reference Manual: flacenc</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Good Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-good Elements">
<link rel="prev" href="gst-plugins-good-plugins-flacdec.html" title="flacdec">
<link rel="next" href="gst-plugins-good-plugins-flacparse.html" title="flacparse">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-flacenc.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-flacenc.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-flacenc.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-flacenc.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-good-plugins-flacdec.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-good-plugins-flacparse.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-good-plugins-flacenc"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-good-plugins-flacenc.top_of_page"></a>flacenc</span></h2>
<p>flacenc — Encodes audio with the FLAC lossless audio encoder</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-flacenc.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--blocksize" title="The “blocksize” property">blocksize</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--escape-coding" title="The “escape-coding” property">escape-coding</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--exhaustive-model-search" title="The “exhaustive-model-search” property">exhaustive-model-search</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--loose-mid-side-stereo" title="The “loose-mid-side-stereo” property">loose-mid-side-stereo</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--max-lpc-order" title="The “max-lpc-order” property">max-lpc-order</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--max-residual-partition-order" title="The “max-residual-partition-order” property">max-residual-partition-order</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--mid-side-stereo" title="The “mid-side-stereo” property">mid-side-stereo</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--min-residual-partition-order" title="The “min-residual-partition-order” property">min-residual-partition-order</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--qlp-coeff-prec-search" title="The “qlp-coeff-prec-search” property">qlp-coeff-prec-search</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--qlp-coeff-precision" title="The “qlp-coeff-precision” property">qlp-coeff-precision</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstFlacEncQuality</span></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--quality" title="The “quality” property">quality</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--rice-parameter-search-dist" title="The “rice-parameter-search-dist” property">rice-parameter-search-dist</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--streamable-subset" title="The “streamable-subset” property">streamable-subset</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--padding" title="The “padding” property">padding</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc--seekpoints" title="The “seekpoints” property">seekpoints</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GstFlacEnc"></a><div class="refsect1">
<a name="gst-plugins-good-plugins-flacenc.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-good-plugins-flacenc.html#GstFlacEnc-struct" title="struct GstFlacEnc">GstFlacEnc</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-flacenc.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstaudioencoder.html#GstAudioEncoder">GstAudioEncoder</a>
                    <span class="lineart">╰──</span> GstFlacEnc
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-flacenc.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GstFlacEnc implements
 <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstTagSetter.html">GstTagSetter</a> and  <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPreset.html">GstPreset</a>.</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-flacenc.description"></a><h2>Description</h2>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.53.8.2.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-good-plugins-plugin-flac.html#plugin-flac">flac</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>Wim Taymans &lt;wim.taymans@chello.be&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Codec/Encoder/Audio</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.53.8.2.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>audio/x-raw, format=(string){ S24LE, S24_32LE, S16LE, S8 }, layout=(string)interleaved, rate=(int)[ 1, 655350 ], channels=(int)[ 1, 8 ]</td>
</tr>
</tbody>
</table></div>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>src</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>source</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>audio/x-flac</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-flacenc.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-flacenc.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstFlacEnc-struct"></a><h3>struct GstFlacEnc</h3>
<pre class="programlisting">struct GstFlacEnc;</pre>
<p>
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-flacenc.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstFlacEnc--blocksize"></a><h3>The <code class="literal">“blocksize”</code> property</h3>
<pre class="programlisting">  “blocksize”                <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Blocksize in samples.</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: [16,65535]</p>
<p>Default value: 4608</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--escape-coding"></a><h3>The <code class="literal">“escape-coding”</code> property</h3>
<pre class="programlisting">  “escape-coding”            <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>search for escape codes in the entropy coding stage for slightly better compression.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--exhaustive-model-search"></a><h3>The <code class="literal">“exhaustive-model-search”</code> property</h3>
<pre class="programlisting">  “exhaustive-model-search”  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>do exhaustive search of LP coefficient quantization (expensive!).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--loose-mid-side-stereo"></a><h3>The <code class="literal">“loose-mid-side-stereo”</code> property</h3>
<pre class="programlisting">  “loose-mid-side-stereo”    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Loose mid side stereo.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--max-lpc-order"></a><h3>The <code class="literal">“max-lpc-order”</code> property</h3>
<pre class="programlisting">  “max-lpc-order”            <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Max LPC order; 0 =&gt; use only fixed predictors.</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: &lt;= 32</p>
<p>Default value: 8</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--max-residual-partition-order"></a><h3>The <code class="literal">“max-residual-partition-order”</code> property</h3>
<pre class="programlisting">  “max-residual-partition-order” <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Max residual partition order (above 4 doesn't usually help much).</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: &lt;= 16</p>
<p>Default value: 3</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--mid-side-stereo"></a><h3>The <code class="literal">“mid-side-stereo”</code> property</h3>
<pre class="programlisting">  “mid-side-stereo”          <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Do mid side stereo (only for stereo input).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: TRUE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--min-residual-partition-order"></a><h3>The <code class="literal">“min-residual-partition-order”</code> property</h3>
<pre class="programlisting">  “min-residual-partition-order” <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Min residual partition order (above 4 doesn't usually help much).</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: &lt;= 16</p>
<p>Default value: 3</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--qlp-coeff-prec-search"></a><h3>The <code class="literal">“qlp-coeff-prec-search”</code> property</h3>
<pre class="programlisting">  “qlp-coeff-prec-search”    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>false = use qlp_coeff_precision, true = search around qlp_coeff_precision, take best.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--qlp-coeff-precision"></a><h3>The <code class="literal">“qlp-coeff-precision”</code> property</h3>
<pre class="programlisting">  “qlp-coeff-precision”      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Precision in bits of quantized linear-predictor coefficients; 0 = automatic.</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: &lt;= 32</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--quality"></a><h3>The <code class="literal">“quality”</code> property</h3>
<pre class="programlisting">  “quality”                  <span class="type">GstFlacEncQuality</span></pre>
<p>Speed versus compression tradeoff.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: 5 - Default</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--rice-parameter-search-dist"></a><h3>The <code class="literal">“rice-parameter-search-dist”</code> property</h3>
<pre class="programlisting">  “rice-parameter-search-dist” <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>0 = try only calc'd parameter k; else try all [k-dist..k+dist] parameters, use best.</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: &lt;= 15</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--streamable-subset"></a><h3>The <code class="literal">“streamable-subset”</code> property</h3>
<pre class="programlisting">  “streamable-subset”        <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>true to limit encoder to generating a Subset stream, else false.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: TRUE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--padding"></a><h3>The <code class="literal">“padding”</code> property</h3>
<pre class="programlisting">  “padding”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Write a PADDING block with this length in bytes.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFlacEnc--seekpoints"></a><h3>The <code class="literal">“seekpoints”</code> property</h3>
<pre class="programlisting">  “seekpoints”               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Add SEEKTABLE metadata (if &gt; 0, number of entries, if &lt; 0, interval in sec).</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: &gt;= -2147483647</p>
<p>Default value: -10</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>